Bug 217347 - graphics/potrace: Update to 1.14
Summary: graphics/potrace: Update to 1.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Olivier Duchateau
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-02-25 10:23 UTC by lightside
Modified: 2017-03-02 13:04 UTC (History)
2 users (show)

See Also:
ps.ports: maintainer-feedback+


Attachments
Proposed patch (since 415499 revision) (1.45 KB, patch)
2017-02-25 10:23 UTC, lightside
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2017-02-25 10:23:33 UTC
Created attachment 180283 [details]
Proposed patch (since 415499 revision)

Patch to update graphics/potrace port from 1.11 to 1.14 version.

Look following links for changes:
https://sourceforge.net/projects/potrace/files/1.12/
https://sourceforge.net/projects/potrace/files/1.13/
https://sourceforge.net/projects/potrace/files/1.14/

Look following link for CVE entries:
https://cve.mitre.org/cgi-bin/cvekey.cgi?keyword=potrace

- Add license information
- Add cpe to USES
- Use new options helpers

The build was tested for FreeBSD 10.3 amd64 (native and with using poudriere).
Comment 1 Piotr Smyrak 2017-02-25 13:58:36 UTC
Please merge.
Comment 2 commit-hook freebsd_committer 2017-02-28 18:35:49 UTC
A commit references this bug:

Author: olivierd
Date: Tue Feb 28 18:35:34 UTC 2017
New revision: 435076
URL: https://svnweb.freebsd.org/changeset/ports/435076

Log:
  Document multiple memory failure in potrace

  PR:		217347
  Reported by:	lightside

Changes:
  head/security/vuxml/vuln.xml
Comment 3 commit-hook freebsd_committer 2017-02-28 18:40:56 UTC
A commit references this bug:

Author: olivierd
Date: Tue Feb 28 18:39:53 UTC 2017
New revision: 435078
URL: https://svnweb.freebsd.org/changeset/ports/435078

Log:
  - Update to 1.14
  - Add LICENSE and USES= cpe
  - Switch to options helpers

  PR:		217347
  Submitted by:	lightside
  Approved by:	Piotr Smyrak (maintainer)
  MFH:		2017Q1
  Security:	f4eb9a25-fde0-11e6-9ad0-b8aeed92ecc4

Changes:
  head/graphics/potrace/Makefile
  head/graphics/potrace/distinfo
Comment 4 commit-hook freebsd_committer 2017-03-02 05:24:37 UTC
A commit references this bug:

Author: olivierd
Date: Thu Mar  2 05:24:24 UTC 2017
New revision: 435208
URL: https://svnweb.freebsd.org/changeset/ports/435208

Log:
  MFH: r435078

  - Update to 1.14
  - Add LICENSE and USES= cpe
  - Switch to options helpers

  PR:		217347
  Submitted by:	lightside
  Approved by:	Piotr Smyrak (maintainer)
  Security:	f4eb9a25-fde0-11e6-9ad0-b8aeed92ecc4

  Approved by:	ports-secteam (junovitch@)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/graphics/potrace/Makefile
  branches/2017Q1/graphics/potrace/distinfo
Comment 5 Olivier Duchateau freebsd_committer 2017-03-02 05:27:25 UTC
Committed, thanks!
Comment 6 lightside 2017-03-02 13:04:53 UTC
Thanks for review and commit(s).